%define name calcuverter
%define version 0.91
%define release %mkrel 1

Summary: Calculator and unit converter all in one
Name:	%{name}
Version: %{version}
Release: %{release}
Source: http://everydaylht.com/my-app/calcuverter/%{name}-%{version}.tar.bz2
URL: http://everydaylht.com/
Group:   Office
License: GPLv2
Source1:   %{name}.png
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: python-qt4


%description
Calcuverter is a calculator and unit converter in one. Furthermore, you can enter queries in plain English. 
Normal desktop calculators always seemed counter-intuitive to me. Why emulate the limited interface 
(ie a numeric pad) of a pocket calculator, when you’ve got the power of a desktop computer and keyboard 
at your finger tips. This is a very simple interface, with a lot of hidden power. It uses the google 
calculator as its engine, which means that it can do complex calculations and unit conversions. 
If the calculation is a simple mathematical expression, the linux version will use the bc program, 
rather than going online.

%prep
%setup -q -n %{name}


%build

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 %{buildroot}%{_datadir}/%{name}
cp -af *.ui *.py *.pyc %{buildroot}%{_datadir}/%{name}

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 %SOURCE1 %{buildroot}%{_datadir}/pixmaps

mkdir -p %buildroot%_bindir/
cat > %buildroot%_bindir/%{name} << EOF
#!/bin/sh
cd %_datadir/%{name}/
python %{name}.py $*
EOF
chmod +x %{buildroot}%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Calcuverter
Comment=Calculator and unit converter all in one
Exec=%{_bindir}/%{name}
Icon=%{name}.png
Terminal=false
Type=Application
StartupNotify=true
Categories=Office;X-MandrivaLinux-Office-Accessories;
EOF

rm -f %{buildroot}%{_datadir}/%{name}/setup.py

%clean
rm -rf $RPM_BUILD_ROOT


%post 
%update_menus


%postun 
%clean_menus


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*.desktop

%changelog
* Wed Apr 28 2010 slick50 <lxgator@gmail.com>  0.91-1pclos2010
- initial pkg 
